Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 227456 - Usability enhancements - new actions on GUI snapshot.
Usability enhancements - new actions on GUI snapshot.
Status: RESOLVED FIXED
Product: debugger
Classification: Unclassified
Component: Java
7.4
All All
: P2 (vote)
: 7.4
Assigned To: Martin Entlicher
issues@debugger
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-14 10:47 UTC by Martin Entlicher
Modified: 2013-04-28 02:17 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Entlicher 2013-03-14 10:47:35 UTC
Add following actions to the contextual menu on components in the GUI snapshot:

1. Properties action, that opens Properties window listing properties of the
   selected component,
2. Create Fixed Watch action, that brings the instance of this component to
   Watches (Variables) window, where it's fields can be examined,
3. Show in Instances View action, that opens the selected component instance
   in Profiler's Instances View.
Comment 1 Martin Entlicher 2013-04-25 15:57:07 UTC
Fixed by changeset:   251921:35604cda159f
http://hg.netbeans.org/core-main/rev/35604cda159f
Properties and Create Fixed Watch actions are added.
I consider the Show in Instances View action to have a rare use-case, however, this is covered by Create Fixed Watch and then invoking Show References on the Fixed Watch, thus IMHO there's no need for a direct action.
Comment 2 Martin Entlicher 2013-04-25 15:57:48 UTC
See issue #229022.
Comment 3 Quality Engineering 2013-04-28 02:17:14 UTC
Integrated into 'main-golden', will be available in build *201304272301* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/35604cda159f
User: mentlicher@netbeans.org
Log: #227456: Add Properties and Create Fixed Watch action on the GUI snapshot and component tree.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo